<?php

namespace AppBundle\Repository\Monetic;

/**
 * PaymentRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class PaymentRepository extends \Doctrine\ORM\EntityRepository
{
    public function findPayments($filters)
    {
        $qb =  $this->createQueryBuilder('p')
            ->orderBy('p.date', 'DESC');
        
        if (isset($filters['origin'])){
            $qb->andWhere('p.origin = :origin')
                ->setParameter('origin', $filters['origin']);
        }
        if (isset($filters['type'])){
            $qb->andWhere('p.type = :type')
                ->setParameter('type', $filters['type']);
        }
        if ($filters['dateBefore']) {
            $qb->andWhere('p.date < :dateBefore')
                ->setParameter('dateBefore', $filters['dateBefore']);
        }
        if ($filters['dateAfter']) {
            $qb->andWhere('p.date > :dateAfter')
                ->setParameter('dateAfter', $filters['dateAfter']);
        }


        return $qb;
    }
}
